Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class ToolbarButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.Button
                      com.gwtext.client.widgets.ToolbarButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, Observable

    public class ToolbarButton

extends Button

A button that renders into a toolbar.

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Constructor Summary
`ToolbarButton()` Create a new ToolbarButton.
`ToolbarButton(com.google.gwt.core.client.JavaScriptObject jsObj)`
`ToolbarButton(java.lang.String text)` Create a new ToolbarButton.
`ToolbarButton(java.lang.String text, ButtonListener listener)` Create a new ToolbarButton.
`ToolbarButton(java.lang.String text, ButtonListener listener, java.lang.String icon)` Create a new ToolbarButton.
`ToolbarButton(java.lang.String text, Menu menu)` Create a new ToolbarButton.

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject config)`
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.

Methods inherited from class com.gwtext.client.widgets.Button
`addListener, focus, getBindToForm, getButtonElement, getClickEvent, getHandleMouseEvents, getIcon, getIconCls, getMenuAlign, getMinWidth, getOwnerCt, getTabIndex, getText, getToggleGroup, getTooltip, getTooltipType, getType, hasVisibleMenu, hideMenu, isDisabled, isEnableToggle, isPressed, isRepeat, setClickEvent, setEnableToggle, setFormBind, setHandleMouseEvents, setHidden, setIcon, setIconCls, setMenu, setMenuAlign, setMinWidth, setPressed, setRepeat, setRepeat, setTabIndex, setTemplate, setText, setToggleGroup, setTooltip, setTooltip, setTooltip, setTooltipType, setType, showMenu, toggle, toggle`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getStyleElement, getTitle, getXTypes, hashCode, hide, initComponent, isCreated, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setHeight, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setTitle, setVisible, setWidth, show, suspendEvents`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`getAbsoluteLeft, getAbsoluteTop, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, setPixelSize, setSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToolbarButton

    public ToolbarButton()

  Create a new ToolbarButton.

### ToolbarButton

    public ToolbarButton(java.lang.String text)

  Create a new ToolbarButton.

  Parameters:
    `text` - the button text

### ToolbarButton

    public ToolbarButton(java.lang.String text,
                         Menu menu)

  Create a new ToolbarButton.

  Parameters:
    `text` - the button text
    `menu` - the button menu

### ToolbarButton

    public ToolbarButton(java.lang.String text,
                         ButtonListener listener)

  Create a new ToolbarButton.

  Parameters:
    `text` - the button text
    `listener` - the button listner

### ToolbarButton

    public ToolbarButton(java.lang.String text,
                         ButtonListener listener,
                         java.lang.String icon)

  Create a new ToolbarButton.

  Parameters:
    `text` - the button text
    `listener` - the button listner
    `icon` - the button icon image path

### ToolbarButton

    public ToolbarButton(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `Button`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `Button`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject config)

  Overrides:
    `create` in class `Button`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD